Qt 5.6 | Qt 3D | C++ Classes | QGeometryFunctor

Qt 5.6.3 Reference Documentation

# QGeometryFunctor Class

(Qt3DRender::QGeometryFunctor)

Inherits: | QAbstractFunctor

- List of all members, including inherited members

## Public Functions

virtual | ~QGeometryFunctor()
virtual QGeometry * | operator()() = 0
virtual bool | operator==(const QGeometryFunctor &other) const = 0

- 2 public functions inherited from Qt3DRender::QAbstractFunctor

## Member Function Documentation

### `[virtual]` QGeometryFunctor::~QGeometryFunctor()

Destroys the instance of QGeometryFunctor. The destructor is virtual.

### `[pure virtual]` QGeometry *QGeometryFunctor::operator()()

### `[pure virtual]` bool QGeometryFunctor::operator==(const QGeometryFunctor &other) const